Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

How to export catalogue v.1.3.4 to v.13.5sp1? Rate Topic   - - - - -

 
  • n3cron
  • Junior Member
  • Members
  • Join Date: 07-May 07
  • 2 posts

Posted 20 November 2007 - 03:55 PM #1

Hi all,

Am new on this forum and i say hello, i have one big question,
How to export the catalogue from 1.3.4 to 1.3.5sp1??:confused:
I can't export the catalogue: csv, html ... this formats dsnt work at all. i've over 2000 articles and i dont want to build all again.

i've tried to import/export database from the "Administration: DB/backup/Restore" but dont work too. :(
same result with the the "Store manager"

Of course i tried to found some topics but i found nothing about my case.

I hope you understand my problem and sorry for my english :)
someone can help me for that?

Thank you

 
  • brandonvd
  • is Super Awesome
  • Members
  • Join Date: 19-Dec 06
  • 2633 posts

Posted 20 November 2007 - 07:33 PM #2

The easiest way I know would be to go to http://topcoderpro.com and purchase the 1.3.4 - 1.3.5 product export application for $30.00. TopCoderPro on this forum and he is the one who designed the export application.

There might be other ways and maybe someone else will add to this.

Brandon

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 21 November 2007 - 03:19 AM #3

If you are trying to upgrade from 1.3.4 (rather than 1.3.4-sp3) you will likely be unable to use the product export option available at topcoder.com. This would also explain your lack of success with the Store Manager and, likely, other attempts. The problem would be that the code expects changes to the database which had been made in previous upgrades. You need to get your database to the 1.3.4-sp3 format prior to doing that upgrade.

Please confirm the actual version of CS-Cart.

One option if you truly are unable to export your products in CS-Cart is to do manual upgrades. In fact, this is my preferred approach since it assures that the database is consistent with the code.

If you really are trying to upgrade from 1.3.4 (non-sp3), I would suggest you copy your existing datase to a new database (dump and load in phpMyAdmin). I would then upload the full 1.3.5-sp1 software package but do NOT run anything until you do the following.

First, request whatever missing upgrade packages you need to get from your version of 1.3.4(-sp?) to version 1.3.4-sp3 from CS-Cart.

Do the following in order for each missing version (e.g., 1.3.4 to 1.3.4-sp1):
1) Backup your new database in phpMyAdmin
2) From the upgrade package, extract the database.sql file and the post-upgrade.php file.
3) Execute the queries contained in the database.sql file in phpMyAdmin .
4) Upload the post_upgrade.php file to the root directory of your server and run it (domain.com/post_upgrade.php)
5) If you received no errors at steps 3 and 4, your database should be consistent with the new version.

Repeat these steps as necessary to get to version 1..3.4-sp3.

Finally do steps 1-5 above with the upgrade package from 1.3.4-sp3 to 1.3.5-sp1. Adjust your config.php file to use your new database. Hopefully, everything should run fine in version 1.3.5-sp1 at this point.

I know this is a lot of work but it is certainly easier than reentering all the products and also saves all category and other tables.

Bob

You can now upgrade directly from version 1.3.4-sp3 to 1.3.5-sp2 by using that upgrade package in the final pass mentioned above.
CS-Cart 2.0.14 (testing)

 
  • n3cron
  • Junior Member
  • Members
  • Join Date: 07-May 07
  • 2 posts

Posted 23 November 2007 - 03:23 PM #4

Thank you!

I was able to correct everything with your guid. Thanks you verry much for your support.